Skip to main content
GET
/
v2
/
api
/
core
/
wallets
/
{walletId}
/
approver
/
{approverId}
Get the payload to approve/reject new wallet
curl --request GET \
  --url https://api.custody.api-zodia.io/v2/api/core/wallets/{walletId}/approver/{approverId} \
  --header 'X-Signature: <api-key>'
{
  "request": {
    "author": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "domainId": "8a0b02c3-fdd8-452e-bc6e-ef07a335ec7e"
    },
    "targetDomainId": "6319e504-a82c-4cca-93a5-b46145310588",
    "intentId": "d7492216-bec4-4daf-8326-5a05aaafe561",
    "proposalSignature": "<string>",
    "type": "Approve"
  },
  "signature": "MEUCIC3VIuw4pfk+BLnZrk1qklGS9phAlQFSQoAnlhw59x7cAiEAm5nq8ANlHcRNcONj5FXXl1v0EK5U8gZyQ22geFSsFL8="
}

Authorizations

X-Signature
string
header
required

Path Parameters

walletId
string
required
approverId
string
required

Response

OK

request
object
required

Details of the request being approved/rejected

signature
string
required

Signature of the "request" field above

Example:

"MEUCIC3VIuw4pfk+BLnZrk1qklGS9phAlQFSQoAnlhw59x7cAiEAm5nq8ANlHcRNcONj5FXXl1v0EK5U8gZyQ22geFSsFL8="